> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allyy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get model training statistics: waterfall data



## OpenAPI

````yaml get /api/model/v1.0/customer/{customerId}/modeltraining/{trainingId}/statistics/waterfall
openapi: 3.0.1
info:
  title: Model Api v1.0
  version: v1.0
servers:
  - url: https://app.allyy.io
security: []
paths:
  /api/model/v1.0/customer/{customerId}/modeltraining/{trainingId}/statistics/waterfall:
    get:
      tags:
        - Statistics
      parameters:
        - name: trainingId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: waterfallPercentile
          in: query
          schema:
            $ref: '#/components/schemas/WaterfallPercentile'
        - name: caseNumber
          in: query
          schema:
            type: integer
            format: int32
        - name: version
          in: path
          required: true
          schema:
            type: string
        - name: customerId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/WaterfallResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/WaterfallResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/WaterfallResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
      security:
        - oauth2:
            - oneprediction_api
components:
  schemas:
    WaterfallPercentile:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
      type: integer
      format: int32
    WaterfallResponse:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/Metadata'
        data:
          $ref: '#/components/schemas/Waterfall'
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Metadata:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
          nullable: true
        validation:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
          nullable: true
        info:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
      additionalProperties: false
    Waterfall:
      type: object
      properties:
        percentileIndex:
          $ref: '#/components/schemas/WaterfallPercentile'
        fileIndex:
          type: integer
          format: int32
        baseValue:
          type: number
          format: double
        shapSum:
          type: number
          format: double
        features:
          type: array
          items:
            $ref: '#/components/schemas/WaterfallFeatureMetrics'
          nullable: true
      additionalProperties: false
    Error:
      type: object
      properties:
        code:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    ValidationError:
      type: object
      properties:
        property:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    WaterfallFeatureMetrics:
      type: object
      properties:
        featureId:
          type: string
          format: uuid
        featureName:
          type: string
          nullable: true
        originalName:
          type: string
          nullable: true
        featureValue:
          type: string
          nullable: true
        shapValue:
          type: number
          format: double
        cumulativeShapValue:
          type: number
          format: double
        dataValue:
          type: number
          format: double
      additionalProperties: false
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://app.allyy.io/api/authentication/connect/authorize
          scopes:
            allyy_api: Allyy API - full access

````